Summary:   Professional FTP daemon with apache-like configuration syntax
Name:      proftpd
Version:   1.2.0pre1
Release:   2
URL:       http://www.proftpd.org
Source0:   ftp://ftp.proftpd.org/distrib/%{name}-%{version}.tar.gz
Source1:   proftpd-htmldocs.tar.gz
Source2:   proftpd.conf
Patch:     proftpd-mdtm-localtime.patch
Copyright: GPL
Group:     Networking/Daemons
Provides:  ftpserver
Conflicts: wu-ftpd ncftpd beroftpd
BuildRoot: /tmp/%{name}-%{version}-root

%description
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems.

ProFTPD is designed to be somewhat of a "drop-in" replacement for wu-ftpd.
Full online documentation is available at http://www.proftpd.org,
including a server configuration directive reference manual.

%prep
%setup -q
%setup -q -T -D -a 1

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --localstatedir=/var/run \
            --enable-autoshadow \
            --with-modules=mod_ratio:mod_linuxprivs
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/var/run/proftpd

make prefix=$RPM_BUILD_ROOT/usr \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     localstatedir=$RPM_BUILD_ROOT/var/run \
     install

install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc
ln -sf proftpd $RPM_BUILD_ROOT/usr/sbin/in.proftpd

%post
if [ `grep in.proftpd /etc/inetd.conf | wc -l` = 0 ] ; then
	sed 's/in.ftpd -l -a/in.proftpd/' /etc/inetd.conf > /tmp/inetd.conf.$$
	mv -f /tmp/inetd.conf.$$ /etc/inetd.conf
fi

if [ -f /var/run/inetd.pid ] ; then
        kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%postun
if [ $1 = 0 ] ; then
    sed 's/in.proftpd/in.ftpd -l -a/' /etc/inetd.conf > /tmp/inetd.conf.$$
    mv -f /tmp/inetd.conf.$$ /etc/inetd.conf
fi

if [ -f /var/run/inetd.pid ] ; then
        kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc changelog INSTALL README README.linux-privs contrib/mod_ratio.c
%doc sample-configurations/virtual.conf
%doc sample-configurations/anonymous.conf
%doc html
%config /etc/proftpd.conf
/usr/bin/*
/usr/sbin/*
%attr(-,root,man) /usr/man/*/*
/var/run/proftpd

%changelog
* Mon Oct 26 1998 Arne Coucheron <arneco@online.no>
  [1.2.0pre1-2]
- added a basic working proftpd.conf file
- added activation of proftpd from inetd

* Thu Oct 22 1998 Arne Coucheron <arneco@online.no>
  [1.2.0pre1-1]
- added mod_linuxprivs to compile
- some changes to the spec file

* Wed Sep 16 1998 Arne Coucheron <arneco@online.no>
  [1.1.7pre1-1]
- added mod_ratio to compile, see the top of mod_ratio.c in the doc
  dir for usage

* Mon Aug 10 1998 Arne Coucheron <arneco@online.no>
  [1.1.6pl1-1]

* Thu Aug 06 1998 Arne Coucheron <arneco@online.no>
  [1.1.6pre4-1]

* Sat Aug 01 1998 Arne Coucheron <arneco@online.no>
  [1.1.6pre2-1]

* Thu Jul 23 1998 Arne Coucheron <arneco@online.no>
  [1.1.5pl4-1]
- making use of shadow libraries
  (Thanks to Mike McHendry <mmchen@ally.minn.net> for the hint)
- added beroftpd to Conflicts:
- added configuration and reference docs to the package

* Sun Jun 28 1998 Arne Coucheron <arneco@online.no>
  [1.0.3pl1-2]
- using $RPM_OPT_FLAGS
- using %%{name} and %%{version} macros
- using %defattr macro in filelist, ordinary users can build now 
- using install -d instead of mkdir -p
- made proftpd.conf chmod 600 for security
- added -q parameter to %setup
- added %config to /etc/proftpd.conf in filelist
- added Conflicts: wu-ftpd ncftpd
- installing util programs in /usr/bin instead of /usr/sbin
- changed name of spec file to proftpd.spec

* Wed May 6 1998 Vladimir Ivanov <vlad@elis.tasur.edu.ru>
- Fixed bug in mod_auth.c
- Initial RPM release